lwIP 2.2.1 Lightweight IP stack

Functions
Non-standard functions
lwIP » Porting (system abstraction layer)

## Functions
char * | lwip_strnstr (const char *buffer, const char *token, size_t n)
char * | lwip_strnistr (const char *buffer, const char *token, size_t n)
int | lwip_stricmp (const char *str1, const char *str2)
int | lwip_strnicmp (const char *str1, const char *str2, size_t len)
void | lwip_itoa (char *result, size_t bufsize, int number)
int | lwip_memcmp_consttime (const void *s1, const void *s2, size_t len)

## Detailed Description

lwIP provides default implementations for non-standard functions. These can be mapped to OS functions to reduce code footprint if desired. All defines related to this section must not be placed in lwipopts.h, but in arch/cc.h! These options cannot be #defined in lwipopts.h since they are not options of lwIP itself, but options of the lwIP port to your system.

## Function Documentation

## ◆ lwip_itoa()

void lwip_itoa | ( | char * | result,
|  | size_t | bufsize,
|  | int | number
| ) |  |

lwIP default implementation for itoa() non-standard function. This can be #defined to itoa() or snprintf(result, bufsize, "%d", number) depending on your platform port.

## ◆ lwip_memcmp_consttime()

int lwip_memcmp_consttime | ( | const void * | s1,
|  | const void * | s2,
|  | size_t | len
| ) |  |

The goal of this function is to compare memory with constant runtime in order to prevent timing attacks to various parts in the stack. To do that, in contrast to memcmp(), it only returns: 0: equal != 0: not equal

## ◆ lwip_stricmp()

int lwip_stricmp | ( | const char * | str1,
|  | const char * | str2
| ) |  |

lwIP default implementation for stricmp() non-standard function. This can be #defined to stricmp() depending on your platform port.

## ◆ lwip_strnicmp()

int lwip_strnicmp | ( | const char * | str1,
|  | const char * | str2,
|  | size_t | len
| ) |  |

lwIP default implementation for strnicmp() non-standard function. This can be #defined to strnicmp() depending on your platform port.

## ◆ lwip_strnistr()

char* lwip_strnistr | ( | const char * | buffer,
|  | const char * | token,
|  | size_t | n
| ) |  |

lwIP default implementation for strnistr() non-standard function. This can be #defined to strnistr() depending on your platform port.

## ◆ lwip_strnstr()

char* lwip_strnstr | ( | const char * | buffer,
|  | const char * | token,
|  | size_t | n
| ) |  |

lwIP default implementation for strnstr() non-standard function. This can be #defined to strnstr() depending on your platform port.